=== loch/help/Makefile ===
all:
	$(MAKE) -i -C ./en
	$(MAKE) -i -C ./sk
