=== debian/changelog ===
therion (5.4.1ds1-2) unstable; urgency=medium

  * Build with GTK3 version of wxWidgets 3.0.
  * debian/README.Debian: Fix typos: "proces" -> "process" and
    "texlive-lang-czeckslovak" -> "texlive-lang-czechslovak".
  * debian/control: Mark conformance with policy 4.1.3 - changes:
    + debian/control: Update section from "extra" to "optional" - "extra" was
      deprecated by policy version 4.0.1.

 -- Olly Betts <olly@survex.com>  Fri, 23 Mar 2018 10:06:17 +1300

therion (5.4.1ds1-1) unstable; urgency=medium

  * New upstream release.
  * Upload to unstable.
  * debian/control: Declare conformance with policy 4.0.0.
  * debian/copyright: Drop comment with obsolete poly2tri URL.
  * debian/copyright: Update copyright years.
  * debian/watch: Add dversionmangle.

 -- Olly Betts <olly@survex.com>  Thu, 29 Jun 2017 09:59:00 +1200

therion (5.4.0ds1-1) experimental; urgency=medium

  * New upstream release:
    + Incorporates many changes we were carrying as patches, so prune
      and update all the patches.
    + debian/control: Upstream removed self-dependency, so drop "therion"
      from "Build-Depends".
    + debian/watch: Upstream tarballs are now served from github.
    + debian/copyright: Remove junk files from excluded list which are no
      longer present in upstream tarball.
  * debian/watch: Repack tarball to exclude .chm files which can't be rebuilt
    from source using DFSG-free tools.
  * debian/rules: Package i18n message files for loch.
  * debian/*: Use https for all URLs on upstream website.
  * debian/README.Debian:
    + Update information about TeX fonts now that upstream has added
      "tex-fonts-optional".
    + Drop teTex-specific details - teTeX has been dead upstream since 2006
      and Debian switched to TeX Live ages ago.
    + Fix "use use" typo.

 -- Olly Betts <olly@survex.com>  Thu, 06 Apr 2017 07:43:50 +1200

therion (5.3.16-10) unstable; urgency=medium

  * Update extern poly2tri URL from googlecode to github
  * Update for policy 3.9.7 (Remove obsolete menu files)
  * Clean loch (Windows) help files
  * Make thbook and samples build reproducible

 -- Wookey <wookey@debian.org>  Tue, 29 Mar 2016 02:00:53 +0100

therion (5.3.16-9) unstable; urgency=medium

  * Correct german translation for "color-legend-altitude"
  * Do not force gcc as compiler
  * More colours and keyboard shortcuts in xtherion.
  Thanks to Vladimir Geogiev
  * Allows map-colours to be specified: colour map-fg [map]
  Thanks to Olly Betts
  * Use previous therion version to build

 -- Wookey <wookey@debian.org>  Fri, 19 Feb 2016 14:44:39 +0000
