=== debian/control ===
Source: therion
Section: science
Priority: optional
Maintainer: Wookey <wookey@debian.org>
Uploaders: Olly Betts <olly@survex.com>
Build-Depends: dpkg (>=1.16.2), debhelper (>= 9), perl (>= 5.5), tcl, 
  libvtk6-dev, libwxgtk3.0-gtk3-dev, libfreetype6-dev, libjpeg-dev, libpng-dev, 
  pkg-config, texlive-base, libproj-dev
Build-Depends-Indep: texlive-metapost, imagemagick, ghostscript 
Standards-Version: 4.1.3
Homepage: https://therion.speleo.sk/

Package: therion
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, tcl, texlive-base, texlive-metapost, bwidget
Recommends: evince | pdf-viewer, libtk-img, therion-viewer, survex
Suggests: survex-aven, texlive-lang-czechslovak, texlive-lang-cyrillic
Description: Cave surveying - 2D and 3D drawing software
 Therion aids the process of drawing up cave surveys (maps). Drawings are 
 done over scans and can be distorted to fit the centreline data. Output is 
 in single sheet or atlas style PDF or SVG files. All data is stored in text 
 files and a map editor (xtherion) is provided to aid in the creation of the 
 files. A wide range of co-ordinate systems is supported. 
 .
 Therion can also produce 3D models, generated from walls and
 passage-heights.  Output formats supported are Survex .3d files, VRML, DXF,
 SVG, shapefiles, and the native .lox. Scanned map overlays and relief data
 can be incorporated into models. Therion is compatible with Survex, and
 centreline data can be stored in Survex or Therion form. If survex is
 installed it is used for loop closures. Centreline data and sketches can be
 imported from PocketTopo, allowing full paperless surveying.
 .
 TeX and metapost are used to generate the images. libtk-img is needed to use 
 scans in formats other than GIF and PNM (such as PNG and JPEG).
 Survex will be used for loop-closure if installed, but is not required.
 .
 You will need appropriate TeX language packages to process therion files which 
 specify those character sets: texlive-lang-czechslovak is needed to process 
 the examples, and texlive-lang-cyrillic is also suggested. See README.Debian 
 for details.

Package: therion-viewer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, therion
Description: Cave surveying - 3D viewer for therion models
 Therion is cave-survey drawing and modelling software. This package contains 
 the 3D model viewer for therion models produced by version 0.4 or later.
 
Package: therion-doc
Section: doc
Architecture: all
Recommends: therion 
Depends: ${misc:Depends}
Replaces: therion (<< 0.5.0)
Description: Documentation for Therion Cave surveying software 
 Therion is cave-survey drawing and modelling software. This package
 includes the thbook which is the specification for the therion data
 description language. This is not the easiest way to get started;
 there is much more documentation in the Therion wiki:
 https://therion.speleo.sk/wiki/doku.php with introductory guides, FAQs
 and examples. Read those first to get an understanding of how it is
 used.
