=== debian/watch ===
# Run the "uscan" command to check for upstream updates.
version=3
opts="repacksuffix=ds1,dversionmangle=s/\+ds\d*$//" http://therion.speleo.sk/download.php \
 https://github.com/therion/therion/archive/v(.*)\.tar\.gz debian uupdate
