## therion 5.4.2ds1

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
   thparse.o thcmdline.o thconfig.o thinput.o thchenc.o thdatabase.o \
   thdataobject.o thdatareader.o thsurvey.o thendsurvey.o thdata.o \
   thperson.o thtf.o thtfangle.o thtflength.o thtfpwf.o \
-  thdataleg.o thobjectname.o thinfnan.o thlayout.o thcomment.o \
+  thdataleg.o thobjectname.o thinfnan.o thlayout.o thlookup.o thcomment.o \
   thinit.o thdb1d.o thsvxctrl.o thdatastation.o thobjectid.o \
   thobjectsrc.o thgrade.o thlibrary.o thgeomag.o thbezier.o \
   thexport.o thexporter.o thselector.o extern/img.o \
@@ -20,10 +20,15 @@
   extern/lxMath.o extern/lxFile.o thdb3d.o thsurface.o thimport.o thsvg.o thepsparse.o \
   thtrans.o thwarpp.o thwarppt.o thwarppme.o thwarp.o thexpshp.o thattr.o thtex.o \
   extern/poly2tri/common/shapes.o extern/poly2tri/sweep/advancing_front.o extern/poly2tri/sweep/sweep.o extern/poly2tri/sweep/cdt.o extern/poly2tri/sweep/sweep_context.o \
-  therion.o extern/proj4/libproj.a
+  therion.o extern/quickhull/QuickHull.o
 
 CROSS =
 EXT =
+
+# Prefix to install to (override like so: make PREFIX=/usr)
+PREFIX = /usr/local
+# Directory to install config files in (override like so: make SYSCONFDIR=/etc)
+SYSCONFDIR = $(PREFIX)/etc
 
 # PLATFORM CONFIG
 
@@ -117,21 +122,36 @@
 
 # BUILD ENDCONFIG
 
+# PROJ CONFIG
+
+# PROJ BUNDLED
+##CMNOBJECTS += extern/proj4/libproj.a
+##CXXJFLAGS = -Iextern/proj4
+
+# PROJ SYSTEM
+PROJ_LIBS = $(shell $(CROSS)pkg-config proj --libs)
+CXXJFLAGS = -I$(shell $(CROSS)pkg-config proj --variable=includedir)
+
+
+# PROJ ENDCONFIG
 
 # compiler settings
-CXXFLAGS = -Wall $(CXXPFLAGS) $(CXXBFLAGS)
+CXXFLAGS = -Wall $(CXXPFLAGS) $(CXXBFLAGS) $(CXXJFLAGS) -std=c++11
 CCFLAGS = -DIMG_API_VERSION=1 -Wall $(CCPFLAGS) $(CCBFLAGS)
 OBJECTS = $(addprefix $(OUTDIR)/,$(POBJECTS)) $(addprefix $(OUTDIR)/,$(CMNOBJECTS))
 
 
 # linker settings
-LIBS =
+LIBS = $(PROJ_LIBS)
 LDFLAGS = $(LDBFLAGS)
 
 
 $(OUTDIR)/%.o : %.cxx
 	$(CXX) -c $(CXXFLAGS) -o $@ $<
 
+$(OUTDIR)/%.o : %.cpp
+	$(CXX) -c $(CXXFLAGS) -o $@ $<
+
 $(OUTDIR)/%.o : %.cc
 	$(CXX) -c $(CXXFLAGS) -o $@ $<
 
@@ -141,9 +161,9 @@
 all: version outdirs $(OUTDIR)/therion doc xtherion/xtherion $(LOCHEXE)
 
 outdirs:
-	mkdir -p $(OUTDIR)/extern/proj4
 	mkdir -p $(OUTDIR)/extern/poly2tri/sweep/
 	mkdir -p $(OUTDIR)/extern/poly2tri/common/
+	mkdir -p $(OUTDIR)/extern/quickhull
 	mkdir -p $(OUTDIR)/loch
 	mkdir -p $(OUTDIR)/xtherion
 	mkdir -p $(OUTDIR)/thbook
@@ -153,6 +173,7 @@
 
 
 $(OUTDIR)/extern/proj4/libproj.a: extern/proj4/*.c extern/proj4/*.h
+	mkdir -p $(OUTDIR)/extern/proj4
 	$(MAKE) -C ./extern/proj4
 
 $(OUTDIR)/therion: version $(OBJECTS)
@@ -171,7 +192,7 @@
 	./therion --print-init-file > therion.ini
 
 install: all
-	tclsh makeinstall.tcl $(THPLATFORM)
+	tclsh makeinstall.tcl $(THPLATFORM) $(PREFIX) $(SYSCONFDIR)
 
 minor-release:
 	perl makerelease.pl
@@ -338,7 +359,7 @@
  loch/lxMath.h thattr.h thchenc.h thchencdata.h thdb2d.h thdb2dprj.h \
  thmapstat.h thdate.h thperson.h thlegenddata.h thdb2dpt.h thdb2dlp.h \
  thdb2dab.h thdb2dji.h thdb2dmi.h thdb2dcp.h thdb2dxs.h thdb2dxm.h \
- thscraplo.h thlayoutln.h thlayoutclr.h thscrapen.h thscraplp.h \
+ thlayoutclr.h thscraplo.h thlayoutln.h thscrapen.h thscraplp.h \
  thexception.h thsymbolset.h thsymbolsetlist.h
 $(OUTDIR)/tharea.o: tharea.cxx tharea.h th2ddataobject.h thdataobject.h \
  thdatabase.h thmbuffer.h thbuffer.h thdb1d.h thobjectid.h thinfnan.h \
@@ -346,7 +367,7 @@
  loch/lxMath.h thattr.h thchenc.h thchencdata.h thdb2d.h thdb2dprj.h \
  thmapstat.h thdate.h thperson.h thlegenddata.h thdb2dpt.h thdb2dlp.h \
  thdb2dab.h thdb2dji.h thdb2dmi.h thdb2dcp.h thdb2dxs.h thdb2dxm.h \
- thscraplo.h thlayoutln.h thlayoutclr.h thscrapen.h thscraplp.h \
+ thlayoutclr.h thscraplo.h thlayoutln.h thscrapen.h thscraplp.h \
  thexception.h thexpmap.h thexport.h thlayout.h thsymbolset.h \
  thsymbolsetlist.h thlocale.h thlang.h thlangdata.h thline.h
 $(OUTDIR)/thattr.o: thattr.cxx thattr.h thmbuffer.h thchenc.h thchencdata.h \
@@ -359,12 +380,3 @@
 $(OUTDIR)/thcmdline.o: thcmdline.cxx thcmdline.h therion.h thlogfile.h thbuffer.h \
  thconfig.h thmbuffer.h thinput.h thparse.h thexporter.h thexport.h \
  thobjectsrc.h thlayout.h thdataobject.h thdatabase.h thdb1d.h \
- thobjectid.h thinfnan.h thdataleg.h thobjectname.h thdb3d.h \
- loch/lxMath.h thattr.h thchenc.h thchencdata.h thdb2d.h thdb2dprj.h \
- thmapstat.h thdate.h thperson.h thlegenddata.h thdb2dpt.h thdb2dlp.h \
- thdb2dab.h thdb2dji.h thdb2dmi.h thdb2dcp.h thdb2dxs.h thdb2dxm.h \
- thscraplo.h thlayoutln.h thlayoutclr.h thscrapen.h thscraplp.h \
- thsymbolset.h thsymbolsetlist.h thlocale.h thselector.h thtmpdir.h \
- extern/getopt.h
-$(OUTDIR)/thcomment.o: thcomment.cxx thcomment.h thdataobject.h thdatabase.h \
- thmbuffer.h thbuffer.h thdb1d.h thobjectid.h thinfnan.h thdataleg.h \
