=== debian/changelog ===
therion (5.4.2ds1-1) unstable; urgency=medium

  * New upstream release
    + Drop patches applied upstream:
      - 05pkg-config-for-freetype.patch
      - 95use-external-libproj.patch
      - 98reproducible-mpost.patch
      - 99reproducible-tcl-glob.patch
    + Adjust remaining patches for upstream changes.
  * debian/control: Declare conformance with policy 4.3.0.
  * debian/therion.override: Override false Lintian warning for "posible"
    (which is a Spanish word here, not a misspelled English one).

 -- Olly Betts <olly@survex.com>  Wed, 09 Jan 2019 09:34:28 +1300

therion (5.4.1ds1-7) unstable; urgency=medium

  * debian/therion.override: Override Lintian warnings due to Lintian
    known bugs or overeagerness.
  * debian/control: Mark therion-doc as "Multi-Arch: foreign".
  * debian/patches/99reproducible-tcl-glob.patch: Sort list of files returned
    by Tcl's glob function.
  * therion-viewer.7: Move therion-viewer man page to section 7 - section 1 is
    meant to be for commands.

 -- Olly Betts <olly@survex.com>  Thu, 22 Nov 2018 16:52:39 +1300

therion (5.4.1ds1-6) unstable; urgency=medium

  * debian/rules: Convert to use dh.  This means we actually run
    dh_strip_nodeterminism.
  * debian/rules: Turn on bindnow hardening.
  * debian/therion.desktop,debian/therion-viewer.desktop: Add "Keywords".
  * debian/control: Note in therion-viewer package description that loch
    can also display Survex .3d and Compass .plt files.

 -- Olly Betts <olly@survex.com>  Tue, 13 Nov 2018 10:56:45 +1300

therion (5.4.1ds1-5) unstable; urgency=medium

  * debian/patches/99reproducible-builds.patch: No longer needed so drop.
    The PNG timestamps are removed by dh_strip_nondeterminism, and pdftex
    no longer embeds timestamps by default.
  * Update patch metadata.

 -- Olly Betts <olly@survex.com>  Thu, 08 Nov 2018 12:28:32 +1300

therion (5.4.1ds1-4) unstable; urgency=medium

  * debian/watch: Use https for upstream download page.
  * debian/patches/98reproducible-mpost.patch: New patch to set metapost
    randomseed to make build more reproducible.

 -- Olly Betts <olly@survex.com>  Fri, 26 Oct 2018 09:56:32 +1300

therion (5.4.1ds1-3) unstable; urgency=medium

  * New patch 05pkg-config-for-freetype.patch cherry-picked from upstream
    git master to switch from freetype-config to pkg-config.
    (Closes: #892453)
  * debian/source/options: Drop now-redundant 'compression = "xz"'.
  * debian/compat,debian/control: Update to use compat level 10
    instead of 9.
  * debian/control: Declare conformance with policy 4.2.1.
  * debian/changelog,debian/control,debian/rules: Remove trailing whitespace
    to silence pedantic lintian warning.

 -- Olly Betts <olly@survex.com>  Tue, 23 Oct 2018 16:43:14 +1300
